package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertNotNull;

import java.util.List;

import org.junit.BeforeClass;
import org.junit.Test;

import agilpizza.modelo.pizza.Bebida;
import agilpizza.modelo.pizza.BebidaDAO;

public class BebidasDAOTest {
	private static BebidaDAO dao;

	@BeforeClass
	public static void setUp() {
		dao = new BebidaDAO();
	}

	@Test
	public void testeBuscaPizzasDevolvePizzasInicializadas(){
		List<Bebida> bebidas = dao.buscaBebidas();
		assertNotNull("Deveriam haver bebidas cadastradas", bebidas);
		assertEquals("Número de bebidas está errado", 5, bebidas.size());
	}
}
